package com.kxs.store.biz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 错误类型枚举
 *
 * @author 没秃顶的码农
 * @date 2023/10/29
 */
@Getter
@RequiredArgsConstructor
public enum StoreErrorTypeEnum {

	TICKET_NOT_FIND(-1, "券码不存在"),
	TICKET_CODE_UN(-1, "券码已使用"),
	SN_FIND_NULL(-1, "SN码不存在"),
	UN_RECYCLE_STATUS(-1, "此机器不可循环"),
	ADVANCE_MACHINE_NOT_FIND(-1, "预发机未找到"),
	ADVANCE_MACHINE_NOT_CONFIRM(-1, "预发机状态错误"),
	ADVANCE_MACHINE_ERROR(-1, "预发机已使用"),
	ADVANCE_MACHINE_RETURN(-1, "预发机已撤回"),
	RETURN_ADVANCE_ERROR(-1, "退回预扣款错误"),
	ORDER_NULL(-1, "订单不存在"),
	ORDER_REPETITION_SUBMIT(-1,"订单重复划拨"),
	SN_SIZE_ERROR(-1,"订单划拨机具数量错误"),
	ORDER_REPETITION_TRANSFER(-1,"订单已划拨，不可取消"),
	ORDER_REPETITION_CANCEL(-1,"订单已取消"),
	STORE_NOT_FIND(-1, "未找到仓库"),
	MACHINE_NOT_USER(-1, "机具不属于该创客"),
	MACHINE_TRANSFER_NO(-1, "循环机不可划拨"),
	USER_IS_NOT_FIND(-1, "该创客不在您的预发范围内"),
	INSUFFICIENT_QUOTA(-1, "可用额度不足"),
	ADVANCE_MACHINE_NUMBER_ERROR(-1, "预发数量超限"),
	WAREHOUSE_NOT_FIND(-1, "仓库数据错误"),
	DATA_ERROR(-1, "数据错误");

	private final int code;

	private final String description;

}
